#
# spec file for package python-parsedatetime
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define modname parsedatetime
Name:           python-%{modname}
Version:        1.4
Release:        5.2
Summary:        Parse human-readable date/time text
License:        Apache-2.0
Group:          Development/Libraries/Python
Url:            https://github.com/regebro/%{modname}
Source:         %{modname}-%{version}.tar.gz

BuildRequires:  python-setuptools
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} > 1110
BuildArch:      noarch
%endif

%description
Parse human-readable date/time strings.

%prep
%setup -q -n %{modname}-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root)
%doc LICENSE.txt CHANGES.txt PKG-INFO
%{python_sitelib}/%{modname}
%{python_sitelib}/%{modname}-%{version}-py%{py_ver}.egg-info

%changelog
* Mon Jul 13 2015 toddrme2178@gmail.com
- Fix building on SLES 11
* Fri Jul 10 2015 jkeil@suse.de
- Fix service file
* Tue Jun  9 2015 jkeil@suse.de
- Fix source url
* Tue Jun  9 2015 jkeil@suse.de
- Initial package
